<?php

namespace app\common\model;

class Category extends Base
{
    protected $schema = [
        "id"          => "int",
        "parent_id"         => "int",
        "name"        => "varchar",
        "url"         => "varchar",
        "route"       => "varchar",
        "tablename"   => "varchar",
        "template"    => "varchar",
        "type"        => "int",
        "is_nav"      => "int",
        "remark"        => "varchar",
        "sort"        => "int",
        "title"       => "varchar",
        "keywords"    => "varchar",
        "description" => "varchar",
        "is_blank"    => "int",
        "create_time" => "int",
        "update_time" => "int"
    ];

    // 获取列表
    public static function getList()
    {
        return self::order(['id' => 'desc'])->select();
    }
}
